[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: [SRM] devscripts "squeeze-friendly" stable update?

On Sat, 2009-03-07 at 18:21 +0100, Philipp Kern wrote:
> On Fri, Mar 06, 2009 at 07:55:33PM +0000, Adam D. Barratt wrote:
> > I'd like to propose a stable update for devscripts to add a few small
> > changes which will make things easier for maintainers during the squeeze
> > release cycle.  Specifically, the changes are:
> > 
> > * bts: Recognise the "squeeze" and "squeeze-ignore" tags.
> > * debchange:
> >   + Modify --bpo to produce a changelog suitable for uploading to
> >     lenny-backports rather than etch-backports by default.  If the
> >     latest changelog entry is for an etch backport, a new etch-backports
> >     stanza will be produced instead.
> >   + Correctly increment backport version numbers.
> > * rc-alert: Modify the description of the "I" flag to refer to the
> >   squeeze-ignore tag rather than etch-ignore.
> Hm, not lenny-ignore?  Should it target the current or the "upcoming"
> release?

Assuming the rc-alert change, the current description reads "etch-ignore
or lenny-ignore"; I'm proposing changing that to "lenny-ignore or
squeeze-ignore".  Apologies if that wasn't clear from the changelog



Reply to: